Subject: Offline Message from Mashail AL- Baker: I have not received my shipment numbe
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 13 Jun 2020 12:11:06 -0000

From: Mashail AL- Baker <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://www.mumzworld.com/en/contact-us
Department: 

I have not received my shipment number 70792161. I contacted the shipping company (Naqel) so many times but still haven’t heard from them about my package. In this case I don’t want it. I only want my money back because this is getting ridiculous. They don’t respect the clients nor you.

Thank you Mishael al bakar.

----
Zopim
https://www.zopim.com